APT, the Advanced Packaging Tool, is Debian's high-level package management system. It is also used by several other Linux-based and Debian-based operating systems.

learn more… | top users | synonyms (1)

3
votes
1answer
782 views

I get a Segmentation fault when doing apt-get util-linux

I've found that a lot of upgrade commands and Apache on my system are failing with Segmentation faults. I don't know if this is the main one, but a lot of packages depend on util-linux: ...
2
votes
1answer
70 views

Can a single Apt-Cacher serve multiple Debian versions?

I have multiple machines running Debian 6 (Squeeze) and 7 (Wheezy). I set up an Apt-Cacher server on a Debian 7 box, for the Debian 7 instances to use. Can this also be used (with the same wheezy ...
2
votes
1answer
925 views

mdadm warning after apt-get upgrade - can't boot RAID

I'm running Ubuntu 12.04 precise. A recent apt-get upgrade ended successfully, but printed the following warning at the end: update-initramfs: Generating /boot/initrd.img-3.2.0-21-generic W: mdadm: ...
2
votes
1answer
479 views

dpkg broken while upgrading Debian Etch to Lenny

Good day! While trying to recover a box to lenny it seems I've broken things. It upgrades libc and glib after that dpkg seems to be broken. I can run apt-get, but it gets segmentation fault from ...
1
vote
1answer
34 views

Mirroring apt repository over ssh

We have a apt repository running to distribute upgrades for our software. The repository is accessed over ssh and a public key authentication: deb ssh://repo.server.com/dist stable As the download ...
1
vote
1answer
348 views

apt-get sub-process returned an error code (1)

I recently removed apache2 from my linode ubuntu server with: apt-get --purge remove apache2 Then tried to install it again (apt-get install apache2). But since then, I can't use apt-get anymore, I ...
1
vote
1answer
167 views

Overriding dpkg admindir from apt-get options (debian/ubuntu linux)

As part of an OS deployment, I need to maintain sets of debian packages independently of the host operating system. It's pretty straightforward to override the Apt settings for the cache and lists, ...
1
vote
1answer
359 views

Bug in PHP 5.3.10, how do I upgrade without apt?

I have a few Ubuntu boxes that run the newest version of PHP present in the Ubuntu package distributions (PHP 5.3.10). However, there is a bug in that PHP version that makes my application break. ...
1
vote
1answer
493 views

How to configure apticron to just report security / critical updates?

We're going to try out apticron, but we don't want to know about every package that could be updated -- only the security / critical updates. How do we configure apticron to do this? PS -- yes, we ...
1
vote
1answer
30 views

How to safely and smoothly update packages on server?(by apt)

On my own computer, I have been used to run apt-get upgrade directly for years. But few days ago I have a chance to admin a ubuntu server. I guess my old habit is bad. Should/how I update security ...
0
votes
1answer
21 views

phpmyadmin have unmet dependencies

I use debian 6.0.6, before I install phpmyadmin, I install this: apt-get update && apt-get -y install apache2 apache2-doc autoconf automake \ bison ca-certificates ethtool flex g++ gcc ...
0
votes
1answer
40 views

How to debug packages from repo not showing up in apt-cache?

I have created my own deb repo, and after I on the client did echo 'deb ftp://puppet.example.com ./' > /etc/apt/sources.list.d/puppet.list apt-get update apt-cache search puppet I don't see any ...
0
votes
1answer
101 views

How to check if an apt mirror has the version of package I required?

Let say I want to query if openssl, 1.0.1-4ubuntu5.12 is available in the mirror, e.g. deb http://security.ubuntu.com/ubuntu precise-security main restricted Any easy command I can check?
0
votes
1answer
27 views

Apt pinning: upgrading a specific package

Today I have discovered apt pinning, it looked great and I've chosen to use it. However I am trying to install some package which need libc6 at a version higher than what is available at a stable ...
0
votes
1answer
96 views

Dependency errors while running apt-get -f install

I was having issues with /boot being full and trying to run apt-get -f install. Now that I have cleared out some space in /boot I am getting the following dependency errors. Reading package lists... ...
0
votes
1answer
28 views

Merging 2 ubuntu repositories into a single offline repository

I am currently running apt-mirror to have a local, offline copy of the entire ubuntu repository (both 32&64), from ubuntu 9.04 to 13.10. Old releases are being apt-mirrored from ...
0
votes
1answer
101 views

Slow download speeds (own debian mirror)

I am using ftpsync to have a local version of the debian packages for all of our debian clients. Internally, the traffic from the mirror is at our normal LAN speeds (100 MB/s); however, when a ...
0
votes
1answer
39 views

Deferring updates in cron-apt

Every day I get an email from cron-apt if there are updates available for my Debian systems (I use it in download-only mode). A typical email might look like CRON-APT RUN [/etc/cron-apt/config]: Tue ...
0
votes
1answer
121 views

How to automate changed config files during apt-get upgrade in Ubuntu 12

I like to use "knife cloudstack server create ..." to build a new VM. My bootstrap template starts off with an "apt-get update" and "apt-get -y upgrade". The upgrade then halts with: 10.190.113.11 ...
3
votes
0answers
68 views

reprepro use when multiple sources have the same codename

I'm investigating the use of reprepro to control what updates get propagated to our servers, and when. The idea is to vet updates by Debian and Ubuntu, and only apply the ones we choose. We want to ...
2
votes
0answers
53 views

Disallow virtual package in Debian's /etc/apt/preferences

I know I can disallow a particular package in Debian by appending /etc/apt/preferences with: Package: *x11* Pin: release Pin-Priority: -1 But how can I do that for a virtual package like httpd? I'd ...
1
vote
0answers
270 views

Ubuntu 12.04/14.04 - apt-get 404 Not Found [IP: local-dns-server-ip 80] through proxy

I am trying to setup an ubuntu server (12.04 or 14.04) and have installed the server image onto the system I am using. Everything works fine until I try to run sudo apt-get update. When this runs, I ...
1
vote
0answers
30 views

Ubuntu : apt-get command error

I work with Ubuntu 10.04 everyday. Several days ago, when I release command sudo apt-get install .... it run very good, no error. I also able to open websites with my browser with no proxy. But, ...
1
vote
0answers
44 views

Debian: how to install a 64 bit package using apt?

I am migrating my system to 64 bit and the debian wiki suggests to first debootstrap a 64bit into a directory, then collect all 64bit packages and install them but this doesn't work. To install 64bit ...
1
vote
0answers
31 views

What can prevent apt from installing higher version

I'm trying to install a specific version of a package (python-neutronclient), but apt is failing to do that due to old packages. This happens even though new packages are available. Aptitude also ...
1
vote
0answers
23 views

Pinning specific subsection in Debian

I'm trying to pin some packages from a specific subsection (gnome in this case) in Debian jessie. For subsection I mean: gnome, admin, x11, etc… This value is showed by apt-cache in the 'Section' ...
1
vote
0answers
245 views

Ubuntu 13.04: apt-get and check-new-release CPU bound

I own a virtual server hosted by a provider. A few hours ago I was notified about the VM being CPU-bound. I couldn't log in and rebooted the server. After the boot, apt-get and check-new-release were ...
1
vote
0answers
62 views

Can't run any apt-get update without killing server

I have an ubuntu 12.04.2 that dies after I tried to do an upgrade on it. E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. So I run that and get the ...
1
vote
0answers
159 views

How do I upgrade OpenSSH Server on Ubuntu Hardy (8.04) from v4.7 to CURRENT?

I tried to add backports to my apt sources but that does not make any newer version of OpenSSH show up as being available to upgrade to. See: https://help.ubuntu.com/community/UbuntuBackports Any ...
0
votes
0answers
10 views

Debian 6: apt-get gets packages from stable?

I recently started working on a website project for a company that has their own server setup. It's a Debian system, and after a while I noticed ntp wasn't installed and the server was losing time. ...
0
votes
0answers
21 views

package manager cannot create users? installation script fails?

It seems that when trying to install any package which requires the creation of a system User and Group, the installer fails with the error: install: invalid user 'username' When it happened the ...
0
votes
0answers
17 views

apt/maven/npm checksum failure on amazon ec2

I'm recently encountering multiple download checksum failures when booting ec2 machine. This manifests itself with sporadic failures of apt, maven and npm installs. In one case that the pom checksum ...
0
votes
0answers
41 views

reprepro remove reports “not found” but reprepro list shows the package

I'm trying to remove a package from a local debian repo. reprepro list shows it, but reprepro remove says it's not found. The file exists in the backup directory but not in the pool directory. I guess ...
0
votes
0answers
109 views

403 AuthorizedOnly error when attempting apt-get upgrade on Ubuntu 12.04

For some reason, apt-get upgrade isn't working today. This is what I see when I try to upgrade : root@localhost:~# apt-get upgrade Reading package lists... Done Building dependency tree ...
0
votes
0answers
53 views

installing from ubuntu ppa on debian including dependencies

I'm trying to install a stable latest version of couchdb on a Debian 7 server. Sadly for me the packages on the Debian repository are old (1.2) and i need 1.4 and up I've decided to try and use the ...
0
votes
0answers
29 views

apt-get refuses to see that dependency is met

I've tried uninstalling and re-installing the packages below and I looked it up, but I can't find what causes this. user@linux-box:~$ sudo apt-get dselect-upgrade Reading package lists... Done ...
0
votes
0answers
344 views

I frequently get E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

I'm looking after an Ubuntu 12.04 server behind a rather slow proxy. When attempting any kind of install with lots of dependencies, I frequently get stuck unable to install packages because the proxy ...
0
votes
0answers
162 views

Postgres 9.3 won't work on Debian 7.1

Hi I am having problems installing postgres 9.3 on debian 7.1. I have added the following: deb http://apt.postgresql.org/pub/repos/apt/ wheezy-pgdg main to the file ...
0
votes
0answers
72 views

automatic upgrade of debian repo keyrings: how risky?

I wrote a CFEngine policy to manage the packages debian-keyring and debian-archive-keyring on Debian and Debian-based systems. For those packages, I would like to set the policy to addupdate, that is: ...
0
votes
0answers
217 views

postfixadmin won't create tables structure

I made a wrong installation of Postfixadmin and decided to uninstall it completely and to try again. Although it was working fine before, the tutorial I'm following to create a file server made a ...
0
votes
0answers
33 views

Passenger package not found after adding phusion repo Ubuntu 12.04

I'm trying to install the official Passenger (and Nginx) packages from Phusion on an Ubuntu 12.04.3 server. I have the following in /etc/apt/sources.list.d/passenger: deb ...
0
votes
0answers
63 views

Could not create JVM while updating ca-certificates-java

I have a vServer with limited memory ressources and are trying to install ca-certificates-java with apt-get install ca-certificates-java Unfortunately the JVM cannot be created which is indicated ...
0
votes
0answers
119 views

mysql-server-5.5 (5.5.32-0ubuntu0.12.04.1) … start: Job failed to start

Seems this issue is common but I cannot solve it. How do I reinstall mysql-server. Every time I try, I receive this crash message. Setting up mysql-server-5.5 (5.5.32-0ubuntu0.12.04.1) ... start: ...
0
votes
0answers
43 views

install build dependencies of a .deb package

I have built a .deb package from (our) sources and the package is not in the repo (yet): % dpkg-checkbuilddeps dpkg-checkbuilddeps: Unmet build dependencies: devscripts (>= 2.12) fakeroot (>= ...
0
votes
0answers
97 views

Is there a way to diagnose an apt-get installation?

The mysql daemon has been failing to start and after an apt-get purge and trying to reinstall the installation fails. Is there some way to diagnose the failure of the installation? The ...
0
votes
0answers
312 views

Debian Wheezy - apt-get upgrade fault

Today I want to upgrade a server, but it lag on java 8 upgrade, I use Ctrl + C and stop upgrade, now when I want to upgrade, I have this problem: Can anybody help me? root@mg1:/home/system# apt-get ...
0
votes
0answers
223 views

apt-get upgrade broken due to failed apt upgrade

Ran an apt-get update and apt-get upgrade today on Ubuntu 12.04. And the process has become stuck trying to upgrade the apt package. It appears the post install script for apt is broken. And I can't ...
0
votes
0answers
79 views

Installing keys with .DEB packages silently fails

I'm trying to create a .DEB package which will install a number of certificates and keys onto a system. To do this, i've gone through the standard package creation process, and thrown two files, ...
0
votes
0answers
1k views

apt-get install from ppa.launchpad.net repository

Some time ago I installed zfs from ppa.launchpad.net repository for Ubuntu Server Oneric 11.10 by add-apt-repository ppa:zfs-native/stable apt-get update apt-get install spl-linux ubuntu-zfs ...
-1
votes
0answers
9 views

Wrong version of pg_dump on Ubuntu

I originally installed postgres 9.3 on Ubuntu and later upgraded to 9.3 according to the instructions here: http://www.postgresql.org/download/linux/ubuntu/ (using the postgres apt repository). ...